%{?nodejs_find_provides_and_requires}

Name:           nodejs-github-url-from-git
Version:        1.1.1
Release:        %mkrel 7
Summary:        Parse a GitHub git URL and return the GitHub repository URL

BuildArch:      noarch
Group:          Development/Java

#No license file included, "MIT" indicated in README and package.json
#A copy of the MIT license based on the version included with express, another
#node module by the same author, is included in Source1, and has been sent
#upstream: https://github.com/visionmedia/github-url-from-git/pull/5
License:        MIT
URL:            https://github.com/visionmedia/node-github-url-from-git
Source0:        https://registry.npmjs.org/github-url-from-git/-/github-url-from-git-%{version}.tgz
Source1:        https://raw.github.com/tchollingsworth/node-github-url-from-git/154fb09296b79637e25952638782995ad6812612/LICENSE

BuildRequires:  nodejs-packaging

#for tests
BuildRequires:  npm(mocha)
BuildRequires:  npm(should)
BuildRequires:  npm(better-assert)

%description
%{summary}.

%prep
%setup -q -n package

#copy LICENSE file into %%_builddir so it works with %%doc
cp %{SOURCE1} LICENSE

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/github-url-from-git
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/github-url-from-git

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
mocha test.js --reporter spec --require should

%files
%{nodejs_sitelib}/github-url-from-git
%doc Readme.md History.md
%license LICENSE



%changelog
* Wed Sep 28 2016 neoclust <neoclust> 1.1.1-7.mga6
+ Revision: 1057368
- imported package nodejs-github-url-from-git

